#include <fstream>
#include <istream>
#include <list>
#include <memory>

#include "../../index/mti_lzss.hpp"

using namespace sdsl;
using namespace std;

int main(int argc, char **argv) {
	//create a list containing streams to files
	list<unique_ptr<istream>> streamlist;
	argc--; argv++;
	for (int arg = 0; arg < argc; arg++) {
			//open a ifstream for each file
		ifstream *s = new ifstream(argv[arg]);
		if (!s->good()) {
			cerr << "Unable to open file " << argv[arg] << endl;
			return 1;
		}
		streamlist.push_back(unique_ptr<istream>( s ));
		arg++;		
	}
	//build index using file stream list
	mti_lzss index( streamlist.begin(), streamlist.end() );
	return 0;
}
